Skip to main content
SLO & Service Quality/SLO

GetBudgetSummary

Get a cross-SLO error budget summary for all objectives of a tenant.

GET/api/v1/slo/error-budget-summary

Operation ID

GetBudgetSummary

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • tenantId
    String

    Identifier of the tenant to summarize error budgets for.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of error budget summary entries, one per SLO objective.

    Example: (nested array)

    • sloId
      String

      Identifier of the SLO objective in this summary entry.

      Example: slo-xyz789

    • sloName
      String

      Human-readable name of the SLO objective.

      Example: api-availability-99.9

    • consumedPct
      Long

      Percentage of the error budget consumed for this SLO.

      Example: 34.9

    • sourceProduct
      String

      Product or service that owns this SLO.

      Example: zcf-api